For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETGet Sync Source
      • GETModel Sync Field Query
      • GETList Syncs
      • POSTCreate Sync
      • GETGet Sync Schedule Options
      • GETGet Sync
      • PUTUpdate Sync
      • DELDelete Model Sync
      • POSTActivate Sync
      • POSTCancel Sync
      • POSTStart Sync
      • GETGet Sync Status
        • GETList Executions
        • GETGet Execution
        • POSTCancel Sync Execution
        • GETGet Execution Console Logs
        • GETGet Execution Logs Index
        • GETGet Execution Log Urls
        • GETGet Execution Log
Logo
Log inBook a demo
API ReferenceModel SyncExecutions

Get Execution Log

GET
https://app.polytomic.com/api/syncs/:sync_id/executions/:id/:type/:filename
GET
/api/syncs/:sync_id/executions/:id/:type/:filename
$curl https://app.polytomic.com/api/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/executions/0ecd09c1-b901-4d27-9053-f0367c427254/records/file.json \
> -H "Authorization: Bearer <token>"

Redirects to a signed URL for a specific log file produced by a model sync execution.

This endpoint responds with a 302 Found redirect; the signed URL is returned in the Location header, and the response body is empty. The URL expires after a short period, so call this endpoint again to obtain a fresh URL if it expires before you download the file.

Was this page helpful?
Previous

List Bulk Syncs

Next

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

sync_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"
typeenumRequired
filenamestringRequired

Headers

X-Polytomic-VersionstringOptional

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error